Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.util
Class DefaultErrorHandler

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.DefaultErrorHandler

public class DefaultErrorHandler
extends java.lang.Object
implements XMLErrorHandler

Default error handler.

Field Summary
`protected java.io.PrintWriter` | `fOut` Print writer.

Constructor Summary
`DefaultErrorHandler()` Constructs an error handler that prints error messages to `System.err`.
`DefaultErrorHandler(java.io.PrintWriter out)` Constructs an error handler that prints error messages to the specified `PrintWriter`

Method Summary
`void` | `error(java.lang.String domain, java.lang.String key, XMLParseException ex)` Error.
`void` | `fatalError(java.lang.String domain, java.lang.String key, XMLParseException ex)` Fatal error.
`void` | `warning(java.lang.String domain, java.lang.String key, XMLParseException ex)` Warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fOut

    protected java.io.PrintWriter fOut

  Print writer.

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

  Constructs an error handler that prints error messages to `System.err`.

### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintWriter out)

  Constructs an error handler that prints error messages to the specified `PrintWriter

  Method Detail

  ### warning

      public void warning(java.lang.String domain,
                          java.lang.String key,
                          XMLParseException ex)
                   throws XNIException

    Warning.
    Specified by:
      warning in interface XMLErrorHandler

  ### error

      public void error(java.lang.String domain,
                        java.lang.String key,
                        XMLParseException ex)
                 throws XNIException

    Error.
    Specified by:
      error in interface XMLErrorHandler

  ### fatalError

      public void fatalError(java.lang.String domain,
                             java.lang.String key,
                             XMLParseException ex)
                      throws XNIException

    Fatal error.
    Specified by:
      fatalError in interface XMLErrorHandler

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Documentation is available at http://e-docs.bea.com/wls/docs81
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  `